;;; SCCS : @(#)qpcomint.el	73.1 6/8/94
;;;		    Quintus Prolog - GNU Emacs Interface
;;;                         Support Functions
;;;
;;;		      Quintus Computer Systems, Inc.
;;;			      3 Sept, 1993
;;;

(provide 'qpcomint)

;;; If you are using Lucid Emacs or GNU 19.x we want to load the
;;; "comint" package which comes with the default distribution but
;;; if you are using GNU 18.x then we have copied the "comint.el",
;;; "ring.el" and "env.el" from the GNU 19.19 distribution in this directory
;;; and we load that. It also defines member() and  frame-width() which
;;; comint uses but is not defined in GNU 18. I don't know if the
;;; definition for frame-width is anything close to being sensible.
;;; The definition for member() comes from comint-mem() which was defined
;;; in comint version 2.02.

(cond
 ((string-match "^GNU Emacs 18" (emacs-version))
  (load "./qpx-ring")
  (load "./qpx-comint")
  (load "./qpx-env")
  (defun frame-width () 80)
  (defun member (item list &optional elt=)
    (let ((elt= (or elt= (function equal)))
	  (done nil))
      (while (and list (not done))
	(if (funcall elt= item (car list))
	    (setq done list)
	  (setq list (cdr list))))
      done)))
 (t (require 'comint)))
